Bug 256035 - devel/py-pyshp: Update to >=2
Summary: devel/py-pyshp: Update to >=2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 255622
  Show dependency treegraph
 
Reported: 2021-05-20 17:08 UTC by Thomas Guymer
Modified: 2021-05-27 19:49 UTC (History)
1 user (show)

See Also:
dbaio: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Guymer 2021-05-20 17:08:40 UTC
Hi,

"devel/py-pyshp" is very out of date. Version 1.2.12 was released in August 2017 (see https://github.com/GeospatialPython/pyshp/releases/tag/1.2.12 ). "graphics/py-cartopy" requires >=2 (see https://github.com/SciTools/cartopy/blob/master/requirements/default.txt ). I have an open ticket to get the FreeBSD Port dependency information of "graphics/py-cartopy" updated to reflect the true dependencies, see bug #255622. Whilst that bug is (hopefully) getting fixed it would be nice if "devel/py-pyshp" could update to the latest version on GitHub.

Thanks,

Tom
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-05-20 17:21:52 UTC
py-pyshp 2.1.3: https://people.FreeBSD.org/~sunpoet/patch/devel-py-pyshp.txt
Comment 2 Danilo G. Baio freebsd_committer 2021-05-22 09:53:50 UTC
(In reply to Po-Chuan Hsieh from comment #1)
Thanks
Comment 3 commit-hook freebsd_committer 2021-05-26 19:04:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=666d1280daf9dda5c5773b41ac60e005083daee9

commit 666d1280daf9dda5c5773b41ac60e005083daee9
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-05-26 18:56:29 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-05-26 19:00:21 +0000

    devel/py-pyshp: Update to 2.1.3

    Changes:        https://github.com/GeospatialPython/pyshp/releases
                    https://github.com/GeospatialPython/pyshp/blob/master/changelog.txt
    PR:             256035
    Approved by:    dbaio (maintainer)

 devel/py-pyshp/Makefile | 3 ++-
 devel/py-pyshp/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 4 deletions(-)
Comment 4 Po-Chuan Hsieh freebsd_committer 2021-05-26 19:06:29 UTC
Committed. Thanks!
Comment 5 Thomas Guymer 2021-05-27 19:49:27 UTC
Thank you very much for fixing this